jQuery(document).ready(function($){
    //default options for all validations (bootstrap style)
    var validateDefaults = {
        errorClass: "help-block",
        errorElement: "span",
        highlight:function(element, errorClass, validClass) {
            $(element).parents('.form-group').addClass('has-error');
            //$(element).siblings('.form-control-feedback').addClass('glyphicon-remove');
        },
        unhighlight: function(element, errorClass, validClass) {
            $(element).parents('.form-group').removeClass('has-error');
            //$(element).siblings('.form-control-feedback').removeClass('glyphicon-remove');
            
            $(element).parents('.form-group').addClass('has-success');
            //$(element).siblings('.form-control-feedback').addClass('glyphicon-ok');
        }
    };
    
    //Login form validation
    var loginHereOptions = {
        rules:{
            'username':{
                required: true,
                minlength: 3
            },
            'password':{
                required: true,
                minlength: 6
            }
        },
        messages:{
            'username':{
                required: "Enter your username",
                minlength: "Minimum 3 characters"
            },
            'password':{
                required: "Enter your password",
                minlength: "Minimum 6 characters"
            }
        }
    };
    
    jQuery.extend(loginHereOptions, validateDefaults);
    
    $("#loginHere").validate(loginHereOptions);
    
    //Forgot pass form validation
    var forgotPassOptions = {
        rules: {
            'email': {
                required: true,
                email: true
            }
        },

        messages: {
            'email': {
                required: 'Enter your email',
                email: 'Please enter a valid email address'
            }
        }
    };
    jQuery.extend(forgotPassOptions, validateDefaults);
    $("#forgotPass").validate(forgotPassOptions);
    
    //Reset pass form validation
    var resetPassOptions = {
        rules:{
            'password':{
                required: true,
                minlength: 6,
                equalTo: '#confirm_password'
            },
            'confirm_password':{
                required: true,
                minlength: 6
            }
        },
        messages:{
            'password':{
                required: "Enter your password",
                minlength: "Minimum 6 characters",
                equalTo: "Passwords must match"
            },
            'confirm_password': {
                required: "Confirm your password",
                minlength: "Minimum 6 characters"
            }
        }
    };
    jQuery.extend(resetPassOptions, validateDefaults);
    $("#resetPass").validate(resetPassOptions);
    
    //Sign up form validation
    var registerHereOptions = {
        rules:{
            'email': {
                required: true,
                email: true
            },
            'username':{
                required: true,
                minlength: 3
            },
            'password':{
                required: true,
                minlength: 6,
                equalTo: '#confirm_password'
            },
            'confirm_password':{
                required: true,
                minlength: 6
            },
            'terms': {
                required: true
            }
        },
        messages:{
            'email': {
                required: 'Enter your email',
                email: 'Please enter a valid email address'
            },
            'username':{
                required: "Enter your username",
                minlength: "Minimum 3 characters"
            },
            'password':{
                required: "Enter your password",
                minlength: "Minimum 6 characters",
                equalTo: "Passwords must match"
            },
            'confirm_password': {
                required: "Confirm your password",
                minlength: "Minimum 6 characters"
            },
            'terms': {
                required: 'You need to agree with our terms'
            }
        }
    };
    jQuery.extend(registerHereOptions, validateDefaults);
    $("#registerHere").validate(registerHereOptions);
    
    //Contact form validation
    var contactHereOptions = {
        rules: {
            'name': {
                required: true
            },
            'email': {
                required: true,
                email: true
            },
            'subject': {
                required: true
            },
            'message': {
                required: true
            },
            'captcha': {
                required: true
            }
        },
        messages: {
            'name': {
                required: 'Enter your name'
            },
            'email': {
                required: 'Enter your email',
                email: 'Please enter a valid email address'
            },
            'subject': {
                required: 'Enter a subject'
            },
            'message': {
                required: "What's up?"
            },
            'captcha': {
                required: 'Are you a human?'
            }
        }
    };
    jQuery.extend(contactHereOptions, validateDefaults);
    $("#contactHere").validate(contactHereOptions);
});